> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取国家城市列表

> 获取指定国家的城市/地区列表

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">每次请求</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 让 AI 帮你写调用代码</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">点击按钮复制一段结构化提示词，可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。</p>
  </div>

  <div className="mt-4">
    <button type="button" className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50" onClick={() => navigator.clipboard.writeText("我想调用 KeyAPI 接口：GET https://api.keyapi.ai/v1/instagram/fetch_cities\n\n请帮我编写调用代码，并包含必要的错误处理、参数校验和响应处理逻辑。\n\n接口信息：\n\nEndpoint: GET https://api.keyapi.ai/v1/instagram/fetch_cities\n\nDescription: Instagram 的「国家城市列表」接口用于批量查询列表数据，返回基础信息、关键指标和分页信息，适合采集后继续分析。常用必填参数包括 country_code。\n\nRequired Headers:\n--header 'Authorization: Bearer <YOUR_API_KEY>'\n\nParameters:\n- country_code (Required): 国家代码. Example: US\n- page (Optional): 页码. Example: 1\n\nExample Response:\n{\n  \"code\": 0,\n  \"message\": \"success\",\n  \"data\": {\n    \"country_info\": {\n      \"id\": \"US\",\n      \"name\": \"United States\",\n      \"slug\": \"united-states\"\n    },\n    \"city_list\": [\n      {\n        \"id\": \"c2753900\",\n        \"name\": \"Downtown-PennQuarter-Chinatown\",\n        \"slug\": \"downtown-pennquarter-chinatown-united-states\"\n      },\n      {\n        \"id\": \"c2728343\",\n        \"name\": \"CivicCenter\",\n        \"slug\": \"civiccenter-united-states\"\n      },\n      {\n        \"id\": \"c2420379\",\n        \"name\": \"LosAngeles\",\n        \"slug\": \"losangeles-united-states\"\n      },\n      {\n        \"id\": \"c2767424\",\n        \"name\": \"Discovery\",\n        \"slug\": \"discovery-united-states\"\n      },\n      {\n        \"id\": \"c2438177\",\n        \"name\": \"Chicago\",\n        \"slug\": \"chicago-united-states\"\n      },\n      {\n        \"id\": \"c2728325\",\n        \"name\": \"MidtownEast\",\n        \"slug\": \"midtowneast-united-states\"\n      },\n      {\n        \"id\": \"c2728328\",\n        \"name\": \"TheaterDistrict\",\n        \"slug\": \"theaterdistrict-united-states\"\n      },\n      {\n        \"id\": \"c2513785\",\n        \"name\": \"United\",\n        \"slug\": \"united-united-states\"\n      },\n      {\n        \"id\": \"c2728320\",\n        \"name\": \"GarmentDistrict\",\n        \"slug\": \"garmentdistrict-united-states\"\n      },\n      {\n        \"id\": \"c2731353\",\n        \"name\": \"TheStrip\",\n        \"slug\": \"thestrip-united-states\"\n      },\n      {\n        \"id\": \"c2728334\",\n        \"name\": \"FinancialDistrict\",\n        \"slug\": \"financialdistrict-united-states\"\n      },\n      {\n        \"id\": \"c2791472\",\n        \"name\": \"LosAngelesCounty\",\n        \"slug\": \"losangelescounty-united-states\"\n      },\n      {\n        \"id\": \"c2527622\",\n        \"name\": \"Houston\",\n        \"slug\": \"houston-united-states\"\n      },\n      {\n        \"id\": \"c2728134\",\n        \"name\": \"Koreatown,Manhattan\",\n        \"slug\": \"koreatownmanhattan-united-states\"\n      },\n      {\n        \"id\": \"c2731060\",\n        \"name\": \"NearNorthSide\",\n        \"slug\": \"nearnorthside-united-states\"\n      },\n      {\n        \"id\": \"c2728404\",\n        \"name\": \"Harlem\",\n        \"slug\": \"harlem-united-states\"\n      },\n      {\n        \"id\": \"c2490299\",\n        \"name\": \"NewYork\",\n        \"slug\": \"newyork-united-states\"\n      },\n      {\n        \"id\": \"c2728378\",\n        \"name\": \"Chelsea\",\n        \"slug\": \"chelsea-united-states\"\n      },\n      {\n        \"id\": \"c2750043\",\n        \"name\": \"WashingtonMall\",\n        \"slug\": \"washingtonmall-united-states\"\n      },\n      {\n        \"id\": \"c2732907\",\n        \"name\": \"Hollywood\",\n        \"slug\": \"hollywood-united-states\"\n      },\n      {\n        \"id\": \"c2731968\",\n        \"name\": \"DowntownLosAngeles\",\n        \"slug\": \"downtownlosangeles-united-states\"\n      },\n      {\n        \"id\": \"c2728335\",\n        \"name\": \"UpperEastSide\",\n        \"slug\": \"uppereastside-united-states\"\n      },\n      {\n        \"id\": \"c2728409\",\n        \"name\": \"NoMad\",\n        \"slug\": \"nomad-united-states\"\n      },\n      {\n        \"id\": \"c2731049\",\n        \"name\": \"TheLoop\",\n        \"slug\": \"theloop-united-states\"\n      },\n      {\n        \"id\": \"c2740811\",\n        \"name\": \"DowntownAustin\",\n        \"slug\": \"downtownaustin-united-states\"\n      },\n      {\n        \"id\": \"c2732983\",\n        \"name\": \"Williamsburg\",\n        \"slug\": \"williamsburg-united-states\"\n      },\n      {\n        \"id\": \"c2767920\",\n        \"name\": \"SouthDowntown\",\n        \"slug\": \"southdowntown-united-states\"\n      },\n      {\n        \"id\": \"c2417987\",\n        \"name\": \"BeverlyHills\",\n        \"slug\": \"beverlyhills-united-states\"\n      },\n      {\n        \"id\": \"c2733038\",\n        \"name\": \"DupontCircle\",\n        \"slug\": \"dupontcircle-united-states\"\n      },\n      {\n        \"id\": \"c2732822\",\n        \"name\": \"FinancialDistrict\",\n        \"slug\": \"financialdistrict-united-states\"\n      },\n      {\n        \"id\": \"c2728345\",\n        \"name\": \"UpperWestSide\",\n        \"slug\": \"upperwestside-united-states\"\n      },\n      {\n        \"id\": \"c2728405\",\n        \"name\": \"MurrayHill\",\n        \"slug\": \"murrayhill-united-states\"\n      },\n      {\n        \"id\": \"c2733075\",\n        \"name\": \"DowntownDenver\",\n        \"slug\": \"downtowndenver-united-states\"\n      },\n      {\n        \"id\": \"c2526493\",\n        \"name\": \"Dallas\",\n        \"slug\": \"dallas-united-states\"\n      },\n      {\n        \"id\": \"c2774689\",\n        \"name\": \"DowntownLasVegas\",\n        \"slug\": \"downtownlasvegas-united-states\"\n      },\n      {\n        \"id\": \"c2763505\",\n        \"name\": \"WilshireCenter-Koreatown\",\n        \"slug\": \"wilshirecenter-koreatown-united-states\"\n      },\n      {\n        \"id\": \"c3003304\",\n        \"name\": \"GovernmentCenter\",\n        \"slug\": \"governmentcenter-united-states\"\n      },\n      {\n        \"id\": \"c3004281\",\n        \"name\": \"CentralBusinessDistrict\",\n        \"slug\": \"centralbusinessdistrict-united-states\"\n      },\n      {\n        \"id\": \"c2731130\",\n        \"name\": \"WestTown\",\n        \"slug\": \"westtown-united-states\"\n      },\n      {\n        \"id\": \"c2728402\",\n        \"name\": \"SoHo\",\n        \"slug\": \"soho-united-states\"\n      },\n      {\n        \"id\": \"c2486989\",\n        \"name\": \"Astoria\",\n        \"slug\": \"astoria-united-states\"\n      },\n      {\n        \"id\": \"c2728411\",\n        \"name\": \"FlatironDistrict\",\n        \"slug\": \"flatirondistrict-united-states\"\n      },\n      {\n        \"id\": \"c2488566\",\n        \"name\": \"Flushing\",\n        \"slug\": \"flushing-united-states\"\n      },\n      {\n        \"id\": \"c2529068\",\n        \"name\": \"Palestine\",\n        \"slug\": \"palestine-united-states\"\n      },\n      {\n        \"id\": \"c2728399\",\n        \"name\": \"WestVillage\",\n        \"slug\": \"westvillage-united-states\"\n      },\n      {\n        \"id\": \"c2728363\",\n        \"name\": \"HellsKitchen,Manhattan\",\n        \"slug\": \"hellskitchenmanhattan-united-states\"\n      },\n      {\n        \"id\": \"c2733115\",\n        \"name\": \"CivicCenter\",\n        \"slug\": \"civiccenter-united-states\"\n      },\n      {\n        \"id\": \"c2422042\",\n        \"name\": \"ShermanOaks\",\n        \"slug\": \"shermanoaks-united-states\"\n      },\n      {\n        \"id\": \"c2734060\",\n        \"name\": \"DowntownSanAntonio\",\n        \"slug\": \"downtownsanantonio-united-states\"\n      },\n      {\n        \"id\": \"c2727918\",\n        \"name\": \"Paradise\",\n        \"slug\": \"paradise-united-states\"\n      },\n      {\n        \"id\": \"c2732375\",\n        \"name\": \"LincolnPark\",\n        \"slug\": \"lincolnpark-united-states\"\n      },\n      {\n        \"id\": \"c2728415\",\n        \"name\": \"UnionSquare\",\n        \"slug\": \"unionsquare-united-states\"\n      },\n      {\n        \"id\": \"c2734409\",\n        \"name\": \"AvenueoftheArtsSouth\",\n        \"slug\": \"avenueoftheartssouth-united-states\"\n      },\n      {\n        \"id\": \"c2464828\",\n        \"name\": \"Boston\",\n        \"slug\": \"boston-united-states\"\n      },\n      {\n        \"id\": \"c2443073\",\n        \"name\": \"Morocco\",\n        \"slug\": \"morocco-united-states\"\n      },\n      {\n        \"id\": \"c2731115\",\n        \"name\": \"NearWestSide\",\n        \"slug\": \"nearwestside-united-states\"\n      },\n      {\n        \"id\": \"c2703669\",\n        \"name\": \"LongIslandCity\",\n        \"slug\": \"longislandcity-united-states\"\n      },\n      {\n        \"id\": \"c2422816\",\n        \"name\": \"WestHollywood\",\n        \"slug\": \"westhollywood-united-states\"\n      },\n      {\n        \"id\": \"c2542527\",\n        \"name\": \"Seattle\",\n        \"slug\": \"seattle-united-states\"\n      },\n      {\n        \"id\": \"c2427178\",\n        \"name\": \"WashingtonD.C.\",\n        \"slug\": \"washingtondc-united-states\"\n      },\n      {\n        \"id\": \"c2413713\",\n        \"name\": \"Phoenix\",\n        \"slug\": \"phoenix-united-states\"\n      },\n      {\n        \"id\": \"c2733705\",\n        \"name\": \"CrownHeights\",\n        \"slug\": \"crownheights-united-states\"\n      },\n      {\n        \"id\": \"c2422661\",\n        \"name\": \"VanNuys\",\n        \"slug\": \"vannuys-united-states\"\n      },\n      {\n        \"id\": \"c2998972\",\n        \"name\": \"NewYorkCounty\",\n        \"slug\": \"newyorkcounty-united-states\"\n      },\n      {\n        \"id\": \"c2418269\",\n        \"name\": \"CaliforniaCity\",\n        \"slug\": \"californiacity-united-states\"\n      },\n      {\n        \"id\": \"c2732895\",\n        \"name\": \"Pinedale\",\n        \"slug\": \"pinedale-united-states\"\n      },\n      {\n        \"id\": \"c2732382\",\n        \"name\": \"DowntownDetroit\",\n        \"slug\": \"downtowndetroit-united-states\"\n      },\n      {\n        \"id\": \"c2728365\",\n        \"name\": \"WashingtonHeights,Manhattan\",\n        \"slug\": \"washingtonheightsmanhattan-united-states\"\n      },\n      {\n        \"id\": \"c2732440\",\n        \"name\": \"EastHollywood\",\n        \"slug\": \"easthollywood-united-states\"\n      },\n      {\n        \"id\": \"c2492610\",\n        \"name\": \"Woodside\",\n        \"slug\": \"woodside-united-states\"\n      },\n      {\n        \"id\": \"c2418944\",\n        \"name\": \"Downey\",\n        \"slug\": \"downey-united-states\"\n      },\n      {\n        \"id\": \"c2505639\",\n        \"name\": \"Portland\",\n        \"slug\": \"portland-united-states\"\n      },\n      {\n        \"id\": \"c2703980\",\n        \"name\": \"Manhattan\",\n        \"slug\": \"manhattan-united-states\"\n      },\n      {\n        \"id\": \"c2731254\",\n        \"name\": \"Midwood\",\n        \"slug\": \"midwood-united-states\"\n      },\n      {\n        \"id\": \"c2728327\",\n        \"name\": \"GreenwichVillage\",\n        \"slug\": \"greenwichvillage-united-states\"\n      },\n      {\n        \"id\": \"c2756885\",\n        \"name\": \"SouthBeach\",\n        \"slug\": \"southbeach-united-states\"\n      },\n      {\n        \"id\": \"c2421002\",\n        \"name\": \"Northridge\",\n        \"slug\": \"northridge-united-states\"\n      },\n      {\n        \"id\": \"c2728412\",\n        \"name\": \"NoHo\",\n        \"slug\": \"noho-united-states\"\n      },\n      {\n        \"id\": \"c2732408\",\n        \"name\": \"SunsetPark\",\n        \"slug\": \"sunsetpark-united-states\"\n      },\n      {\n        \"id\": \"c2743520\",\n        \"name\": \"DoralPlaza\",\n        \"slug\": \"doralplaza-united-states\"\n      },\n      {\n        \"id\": \"c2732071\",\n        \"name\": \"Sawtelle\",\n        \"slug\": \"sawtelle-united-states\"\n      },\n      {\n        \"id\": \"c2732172\",\n        \"name\": \"DowntownHouston\",\n        \"slug\": \"downtownhouston-united-states\"\n      },\n      {\n        \"id\": \"c2731105\",\n        \"name\": \"BoroughPark\",\n        \"slug\": \"boroughpark-united-states\"\n      },\n      {\n        \"id\": \"c2731768\",\n        \"name\": \"Waikiki\",\n        \"slug\": \"waikiki-united-states\"\n      },\n      {\n        \"id\": \"c2764510\",\n        \"name\": \"WoodlandHills-WarnerCenter\",\n        \"slug\": \"woodlandhills-warnercenter-united-states\"\n      },\n      {\n        \"id\": \"c2421846\",\n        \"name\": \"SanJose\",\n        \"slug\": \"sanjose-united-states\"\n      },\n      {\n        \"id\": \"c2728344\",\n        \"name\": \"Tribeca\",\n        \"slug\": \"tribeca-united-states\"\n      },\n      {\n        \"id\": \"c2769818\",\n        \"name\": \"DowntownSantaMonica\",\n        \"slug\": \"downtownsantamonica-united-states\"\n      },\n      {\n        \"id\": \"c2731957\",\n        \"name\": \"Gulfton\",\n        \"slug\": \"gulfton-united-states\"\n      },\n      {\n        \"id\": \"c2732198\",\n        \"name\": \"Greenpoint\",\n        \"slug\": \"greenpoint-united-states\"\n      },\n      {\n        \"id\": \"c2757578\",\n        \"name\": \"Westchase\",\n        \"slug\": \"westchase-united-states\"\n      },\n      {\n        \"id\": \"c2498913\",\n        \"name\": \"Columbus\",\n        \"slug\": \"columbus-united-states\"\n      },\n      {\n        \"id\": \"c2419135\",\n        \"name\": \"Encino\",\n        \"slug\": \"encino-united-states\"\n      },\n      {\n        \"id\": \"c2732837\",\n        \"name\": \"KearnyMesa\",\n        \"slug\": \"kearnymesa-united-states\"\n      },\n      {\n        \"id\": \"c2772370\",\n        \"name\": \"DowntownSanFrancisco\",\n        \"slug\": \"downtownsanfrancisco-united-states\"\n      },\n      {\n        \"id\": \"c2527654\",\n        \"name\": \"Humble\",\n        \"slug\": \"humble-united-states\"\n      }\n    ],\n    \"next_page\": 2,\n    \"status\": \"ok\",\n    \"attempts\": \"1\"\n  },\n  \"requestId\": \"c4c6d2e8-da04-4c82-9240-ae6edf85e181\"\n}\n\n请根据以上信息给出可直接运行的示例代码。")}>
      ✨ 复制给 AI
    </button>
  </div>
</div>


## OpenAPI

````yaml zh/instagram.zh.openapi.json GET /v1/instagram/fetch_cities
openapi: 3.0.1
info:
  title: Instagram API 中文文档
  description: Instagram API 的中文参考文档，包含接口用途、参数说明、响应状态和示例结构。
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/instagram/fetch_cities:
    get:
      tags: []
      summary: 获取国家城市列表
      description: 获取指定国家的城市/地区列表
      parameters:
        - name: country_code
          in: query
          description: 国家代码，如US、CN、JP
          required: true
          example: US
          schema:
            type: string
        - name: page
          in: query
          description: 页码，默认1
          required: false
          example: 1
          schema:
            type: integer
            minimum: 1
            default: 1
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  country_info:
                    id: US
                    name: United States
                    slug: united-states
                  city_list:
                    - id: c2753900
                      name: Downtown-PennQuarter-Chinatown
                      slug: downtown-pennquarter-chinatown-united-states
                    - id: c2728343
                      name: CivicCenter
                      slug: civiccenter-united-states
                    - id: c2420379
                      name: LosAngeles
                      slug: losangeles-united-states
                    - id: c2767424
                      name: Discovery
                      slug: discovery-united-states
                    - id: c2438177
                      name: Chicago
                      slug: chicago-united-states
                    - id: c2728325
                      name: MidtownEast
                      slug: midtowneast-united-states
                    - id: c2728328
                      name: TheaterDistrict
                      slug: theaterdistrict-united-states
                    - id: c2513785
                      name: United
                      slug: united-united-states
                    - id: c2728320
                      name: GarmentDistrict
                      slug: garmentdistrict-united-states
                    - id: c2731353
                      name: TheStrip
                      slug: thestrip-united-states
                    - id: c2728334
                      name: FinancialDistrict
                      slug: financialdistrict-united-states
                    - id: c2791472
                      name: LosAngelesCounty
                      slug: losangelescounty-united-states
                    - id: c2527622
                      name: Houston
                      slug: houston-united-states
                    - id: c2728134
                      name: Koreatown,Manhattan
                      slug: koreatownmanhattan-united-states
                    - id: c2731060
                      name: NearNorthSide
                      slug: nearnorthside-united-states
                    - id: c2728404
                      name: Harlem
                      slug: harlem-united-states
                    - id: c2490299
                      name: NewYork
                      slug: newyork-united-states
                    - id: c2728378
                      name: Chelsea
                      slug: chelsea-united-states
                    - id: c2750043
                      name: WashingtonMall
                      slug: washingtonmall-united-states
                    - id: c2732907
                      name: Hollywood
                      slug: hollywood-united-states
                    - id: c2731968
                      name: DowntownLosAngeles
                      slug: downtownlosangeles-united-states
                    - id: c2728335
                      name: UpperEastSide
                      slug: uppereastside-united-states
                    - id: c2728409
                      name: NoMad
                      slug: nomad-united-states
                    - id: c2731049
                      name: TheLoop
                      slug: theloop-united-states
                    - id: c2740811
                      name: DowntownAustin
                      slug: downtownaustin-united-states
                    - id: c2732983
                      name: Williamsburg
                      slug: williamsburg-united-states
                    - id: c2767920
                      name: SouthDowntown
                      slug: southdowntown-united-states
                    - id: c2417987
                      name: BeverlyHills
                      slug: beverlyhills-united-states
                    - id: c2733038
                      name: DupontCircle
                      slug: dupontcircle-united-states
                    - id: c2732822
                      name: FinancialDistrict
                      slug: financialdistrict-united-states
                    - id: c2728345
                      name: UpperWestSide
                      slug: upperwestside-united-states
                    - id: c2728405
                      name: MurrayHill
                      slug: murrayhill-united-states
                    - id: c2733075
                      name: DowntownDenver
                      slug: downtowndenver-united-states
                    - id: c2526493
                      name: Dallas
                      slug: dallas-united-states
                    - id: c2774689
                      name: DowntownLasVegas
                      slug: downtownlasvegas-united-states
                    - id: c2763505
                      name: WilshireCenter-Koreatown
                      slug: wilshirecenter-koreatown-united-states
                    - id: c3003304
                      name: GovernmentCenter
                      slug: governmentcenter-united-states
                    - id: c3004281
                      name: CentralBusinessDistrict
                      slug: centralbusinessdistrict-united-states
                    - id: c2731130
                      name: WestTown
                      slug: westtown-united-states
                    - id: c2728402
                      name: SoHo
                      slug: soho-united-states
                    - id: c2486989
                      name: Astoria
                      slug: astoria-united-states
                    - id: c2728411
                      name: FlatironDistrict
                      slug: flatirondistrict-united-states
                    - id: c2488566
                      name: Flushing
                      slug: flushing-united-states
                    - id: c2529068
                      name: Palestine
                      slug: palestine-united-states
                    - id: c2728399
                      name: WestVillage
                      slug: westvillage-united-states
                    - id: c2728363
                      name: HellsKitchen,Manhattan
                      slug: hellskitchenmanhattan-united-states
                    - id: c2733115
                      name: CivicCenter
                      slug: civiccenter-united-states
                    - id: c2422042
                      name: ShermanOaks
                      slug: shermanoaks-united-states
                    - id: c2734060
                      name: DowntownSanAntonio
                      slug: downtownsanantonio-united-states
                    - id: c2727918
                      name: Paradise
                      slug: paradise-united-states
                    - id: c2732375
                      name: LincolnPark
                      slug: lincolnpark-united-states
                    - id: c2728415
                      name: UnionSquare
                      slug: unionsquare-united-states
                    - id: c2734409
                      name: AvenueoftheArtsSouth
                      slug: avenueoftheartssouth-united-states
                    - id: c2464828
                      name: Boston
                      slug: boston-united-states
                    - id: c2443073
                      name: Morocco
                      slug: morocco-united-states
                    - id: c2731115
                      name: NearWestSide
                      slug: nearwestside-united-states
                    - id: c2703669
                      name: LongIslandCity
                      slug: longislandcity-united-states
                    - id: c2422816
                      name: WestHollywood
                      slug: westhollywood-united-states
                    - id: c2542527
                      name: Seattle
                      slug: seattle-united-states
                    - id: c2427178
                      name: WashingtonD.C.
                      slug: washingtondc-united-states
                    - id: c2413713
                      name: Phoenix
                      slug: phoenix-united-states
                    - id: c2733705
                      name: CrownHeights
                      slug: crownheights-united-states
                    - id: c2422661
                      name: VanNuys
                      slug: vannuys-united-states
                    - id: c2998972
                      name: NewYorkCounty
                      slug: newyorkcounty-united-states
                    - id: c2418269
                      name: CaliforniaCity
                      slug: californiacity-united-states
                    - id: c2732895
                      name: Pinedale
                      slug: pinedale-united-states
                    - id: c2732382
                      name: DowntownDetroit
                      slug: downtowndetroit-united-states
                    - id: c2728365
                      name: WashingtonHeights,Manhattan
                      slug: washingtonheightsmanhattan-united-states
                    - id: c2732440
                      name: EastHollywood
                      slug: easthollywood-united-states
                    - id: c2492610
                      name: Woodside
                      slug: woodside-united-states
                    - id: c2418944
                      name: Downey
                      slug: downey-united-states
                    - id: c2505639
                      name: Portland
                      slug: portland-united-states
                    - id: c2703980
                      name: Manhattan
                      slug: manhattan-united-states
                    - id: c2731254
                      name: Midwood
                      slug: midwood-united-states
                    - id: c2728327
                      name: GreenwichVillage
                      slug: greenwichvillage-united-states
                    - id: c2756885
                      name: SouthBeach
                      slug: southbeach-united-states
                    - id: c2421002
                      name: Northridge
                      slug: northridge-united-states
                    - id: c2728412
                      name: NoHo
                      slug: noho-united-states
                    - id: c2732408
                      name: SunsetPark
                      slug: sunsetpark-united-states
                    - id: c2743520
                      name: DoralPlaza
                      slug: doralplaza-united-states
                    - id: c2732071
                      name: Sawtelle
                      slug: sawtelle-united-states
                    - id: c2732172
                      name: DowntownHouston
                      slug: downtownhouston-united-states
                    - id: c2731105
                      name: BoroughPark
                      slug: boroughpark-united-states
                    - id: c2731768
                      name: Waikiki
                      slug: waikiki-united-states
                    - id: c2764510
                      name: WoodlandHills-WarnerCenter
                      slug: woodlandhills-warnercenter-united-states
                    - id: c2421846
                      name: SanJose
                      slug: sanjose-united-states
                    - id: c2728344
                      name: Tribeca
                      slug: tribeca-united-states
                    - id: c2769818
                      name: DowntownSantaMonica
                      slug: downtownsantamonica-united-states
                    - id: c2731957
                      name: Gulfton
                      slug: gulfton-united-states
                    - id: c2732198
                      name: Greenpoint
                      slug: greenpoint-united-states
                    - id: c2757578
                      name: Westchase
                      slug: westchase-united-states
                    - id: c2498913
                      name: Columbus
                      slug: columbus-united-states
                    - id: c2419135
                      name: Encino
                      slug: encino-united-states
                    - id: c2732837
                      name: KearnyMesa
                      slug: kearnymesa-united-states
                    - id: c2772370
                      name: DowntownSanFrancisco
                      slug: downtownsanfrancisco-united-states
                    - id: c2527654
                      name: Humble
                      slug: humble-united-states
                  next_page: 2
                  status: ok
                  attempts: '1'
                requestId: c4c6d2e8-da04-4c82-9240-ae6edf85e181
        '400':
          description: 请求参数错误，请检查必填字段和参数格式
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: 鉴权失败，请检查 Authorization Header 中的 Bearer Token 或 API Key 是否有效
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: 账户余额或额度不足
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: 请求过于频繁，已触发限流
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: 服务器内部错误，请稍后重试
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/instagram/fetch_cities?country_code=US&page=1' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/instagram/fetch_cities',
                params={"country_code": "US", "page": 1},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"country_code": "US", "page":
            1});


            const response = await
            fetch(`https://api.keyapi.ai/v1/instagram/fetch_cities?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        接口鉴权凭证。请在请求 Header 中传入 `Authorization: Bearer <YOUR_API_KEY>`。
        可在 [Dashboard](https://keyapi.ai/app/dashboard) 获取你的 API Key。

````